#pragma once
/*
Parsec QR Library examples for PNR QX29 family of a proximity readers.
Author Dmitry Bogdan <dbogdan@mdo.ru> (c) 2021, 2022.

For support please contact: <support@parsec.ru>
*/

#include <stdint.h>

struct qr_context;

typedef uint8_t qr_AesKey_t[16];

// ISO 8601 Date and time + trailing zero
#define USER_ACCESS_DATETIME_LEN 20

//ISO 8601 Extended format w/o decial fraction of the second + trailing zero
#define USER_ACCES_TIME_LEN 9

typedef struct qr_UserAccess
{
    // ISO 8601 Date and time from
    // "2005-08-09T18:31:42" + trailing zero byte
    char DateTimeFrom[USER_ACCESS_DATETIME_LEN];
    char DateTimeTo[USER_ACCESS_DATETIME_LEN];

    // Interval during full day
    // ISO 8601 Extended format w/o decial fraction of the second
    // "18:31:42" + trailing zero byte
    char TimeStart[USER_ACCES_TIME_LEN];
    char TimeEnd[USER_ACCES_TIME_LEN];

    uint16_t Area[4];
} qr_UserAccess_t;